@ECHO OFF
CLS
REM
REM ========================================================================
REM =                                                                      =
REM = Default directories.  You can change these to suit your needs    !   =
REM =                                                                      =
REM ========================================================================
REM
SET     disk=A:
SET      doc=C:\FBB\DOC
SET     docs=C:\FBB\DOCS
SET      fbb=C:\FBB
SET   system=C:\FBB\SYSTEM
SET     mail=C:\FBB\MAIL
SET  binmail=C:\FBB\BINMAIL
SET    users=C:\FBB\USERS
SET     yapp=C:\FBB\USERS\YAPP
SET  oldmail=C:\FBB\OLDMAIL
SET    stats=C:\FBB\STATS
SET      fwd=C:\FBB\SYSTEM\FWD
SET      bin=C:\FBB\BIN
SET examples=C:\FBB\EXAMPLES.700
SET     util=C:\FBB\UTIL
REM
REM ========================================================================
REM
ECHO        ****   FIRST TIME INSTALLATION OF FBB 7.00 FROM DISK %disk%   ****
ECHO.
ECHO -  Main BBS-directory -  %fbb%
ECHO -  System-files       -  %system%
ECHO -  Messages           -  %mail%
ECHO -  Binary-messages    -  %binmail%
ECHO -  User's dir.        -  %users%
ECHO -  Yapp files         -  %yapp%
ECHO -  Oldmail            -  %oldmail%
ECHO -  Statistics         -  %stats%
ECHO -  Documentation      -  %docs%
ECHO -  FBB-manuals        -  %doc%
ECHO -  Fwd-include-files  -  %fwd%
ECHO -  Executable files   -  %bin%
ECHO -  Example-files      -  %examples%
ECHO -  Utillities         -  %util%
ECHO    (Fwd-include-files MUST stay under %system%.)
ECHO.
ECHO        If this configuration does not suit your needs, you must stop now
ECHO        with CTRL-C and edit the SET-lines in the file %disk%SUITE1.BAT.
ECHO        If a version of FBB 5.15c already exists, press Ctrl-C 
ECHO        and use 515c700.BAT for upgrading.
ECHO.
PAUSE
ECHO      *** INSTALLATION IN PROGRESS  ***
ECHO.
CD \
COPY %disk%PKUNZJR.COM
MD %fbb%         
MD %system%    
MD %doc%           
MD %docs%          
MD %mail%          
MD %binmail%       
MD %oldmail%       
MD %users%         
MD %yapp%          
MD %stats%         
MD %fwd%           
MD %bin%           
MD %examples%
MD %util%
MD %fbb%\PG
MD %system%\LANG
MD %system%\LOG
MD %system%\SAT
MD %system%\WP
CD %binmail%
MD MAIL0
MD MAIL1
MD MAIL2
MD MAIL3
MD MAIL4
MD MAIL5
MD MAIL6
MD MAIL7
MD MAIL8
MD MAIL9
CD %mail%
MD MAIL0
MD MAIL1
MD MAIL2
MD MAIL3
MD MAIL4
MD MAIL5
MD MAIL6
MD MAIL7
MD MAIL8
MD MAIL9
CD %fbb%
\PKUNZJR %disk%FBB700.ZIP
cd %bin%
COPY %fbb%\EPURMESS.INI %examples%
COPY %fbb%\INIT.SRV %examples%
COPY %fbb%\DEFAULT.* %examples%
\PKUNZJR %disk%BIN700_2.ZIP
cd %fwd%
\PKUNZJR %disk%FWD700.ZIP
cd %examples%
\PKUNZJR %disk%FWD700.ZIP
cd %stats%
\PKUNZJR %disk%STAT700.ZIP
COPY %stats%\*.DOC %examples%
COPY %stats%\LOGFBB.CNF %examples%
cd %system%
\PKUNZJR %disk%SYS700.ZIP
cd %examples%
\PKUNZJR %disk%SYS700.ZIP
cd %util%
\PKUNZJR %disk%UTIL700.ZIP
ECHO.
ECHO.
rem ECHO        Remove diskette no 1 and insert no 2 (if 360k).
rem PAUSE
cd %doc%
\PKUNZJR %disk%DOC700.ZIP
cd %examples%
\PKUNZJR %disk%DOC700.ZIP
cd %bin%
\PKUNZJR %disk%BIN700_1.ZIP
COPY %bin%\appel.bat %examples%
cd %system%\SAT
\PKUNZJR %disk%SAT700.ZIP
cd %examples%
\PKUNZJR %disk%SAT700.ZIP
ECHO.
ECHO.
rem ECHO        Remove diskette no 2 and insert no 3 (if 360k) 
rem ECHO        or remove no 1 and insert no 2 (if 720k).
rem PAUSE
cd %fbb%
\PKUNZJR %disk%FIRMWARE.ZIP
cd %system%\LANG
\PKUNZJR %disk%LANG700.ZIP
cd %examples%
\PKUNZJR %disk%LANG700.ZIP
rem
ECHO        Remove diskette no 1 and insert no 2.
PAUSE
rem

MD %system%\LANG\MORE
COPY a:LANG700X.EXE %system%\LANG\MORE
cd %system%\LANG\MORE
LANG700X.EXE
DEL LANG700X.EXE

COPY a:LANG700X.EXE %examples%
cd %examples%
LANG700X.EXE
DEL LANG700X.EXE

CD \
CLS
ECHO.
ECHO.
ECHO Now FBBSETUP will start.  This program modifies the existing
ECHO INIT.SRV and PORT.SYS for your needs.  Go carefully 
ECHO through all of the setup, and make all the needed changes.
ECHO.
ECHO.
PAUSE 
CD %fbb%
FBBSETUP
CD \
ECHO.
CLS
ECHO.
ECHO Modify AUTOEXEC.BAT.  Important: insert path to %bin%-directory.
ECHO Modify EPURMESS.INI in %fbb%-directory.
ECHO Modify APPEL.BAT in %bin%-directory.
ECHO.
ECHO If you want to modify INIT.SRV and/or PORT.SYS again, go to 
ECHO %fbb% and run FBBSETUP again.
ECHO.
ECHO Update PORT.SYS, SWAPP.SYS, INITTNCx.SYS, BEACONx.SYS, FORWARD.SYS,
ECHO CRON.SYS, REJECT.SYS, MAINTx.SYS, BBS.SYS, PASSWD.SYS, PROTECT.SYS
ECHO and LANGUE.SYS in %system%-directory.  See examples in the directory
ECHO %examples%.
ECHO.
ECHO You may find some extra language-files in SYSTEM\LANG\MORE directory.
ECHO If you do find such files you may copy the languages you want, to 
ECHO %system%\LANG directory.  After that you may need to add the new 
ECHO languages in %system%\LANGUE.SYS.
ECHO.
